version: '3.4'

services:
  heritage:
    # image: ${DOCKER_REGISTRY-}heritage
    build:
      context: .
      dockerfile: Heritage/Dockerfile
    depends_on:
      - postgres
    environment:
      - ConnectionStrings__PostgreSQL=User ID=postgres;Password=postgres;Server=postgres;Port=5432;Database=Heritage; Pooling=true;
  postgres:
    image: postgres:latest
    container_name: postgres
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
      - POSTGRES_DB=Heritage
    restart: unless-stopped
    volumes:
      - ./app_data:/var/lib/postgresql/data
    ports:
      - 5432:5432
  adminer:
    image: adminer
    restart: unless-stopped
    ports:
      - 5442:8080